ghc-7.10.3: The GHC API

Safe Haskell | None
Language | Haskell2010

DriverPhases

# Documentation

data HscSource

Constructors

HsSrcFile |
HsBootFile |
HsigFile |

Instances

Eq HscSource |
Ord HscSource |
Show HscSource |

isHsBootOrSig :: HscSource -> Bool

hscSourceString :: HscSource -> String

data Phase

Constructors

Unlit HscSource |
Cpp HscSource |
HsPp HscSource |
Hsc HscSource |
Ccpp |
Cc |
Cobjc |
Cobjcpp |
HCc |
Splitter |
SplitAs |
As Bool |
LlvmOpt |
LlvmLlc |
LlvmMangle |
CmmCpp |
Cmm |
MergeStub |
StopLn |

Instances

Eq Phase |
Show Phase |
Outputable Phase |

happensBefore :: DynFlags -> Phase -> Phase -> Bool

eqPhase :: Phase -> Phase -> Bool

anyHsc :: Phase

isStopLn :: Phase -> Bool

startPhase :: String -> Phase

phaseInputExt :: Phase -> String

isHaskellishSuffix :: String -> Bool

isHaskellSrcSuffix :: String -> Bool

isObjectSuffix :: Platform -> String -> Bool

isCishSuffix :: String -> Bool

isDynLibSuffix :: Platform -> String -> Bool

isHaskellUserSrcSuffix :: String -> Bool

isHaskellSigSuffix :: String -> Bool

isSourceSuffix :: String -> Bool

isHaskellishFilename :: FilePath -> Bool

isHaskellSrcFilename :: FilePath -> Bool

isHaskellSigFilename :: FilePath -> Bool

isObjectFilename :: Platform -> FilePath -> Bool

isCishFilename :: FilePath -> Bool

isDynLibFilename :: Platform -> FilePath -> Bool

isHaskellUserSrcFilename :: FilePath -> Bool

isSourceFilename :: FilePath -> Bool